Name:           multiverse
Version:        0.7.0
Release:        1%{?dist}
Summary:        Software Transactional Memory Implementation for the JVM
License:        ASL 2.0 or LGPLv2+ or BSD
URL:            https://github.com/pveentjer/Multiverse
BuildArch:      noarch
Source0:        %{url}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.mockito:mockito-all)

%description
A software transactional memory implementation for the JVM. Access (read and
writes) to shared memory is done through transactional references, that can be
compared to the AtomicReferences of Java. Access to these references will be
done under A (atomicity), C (consistency), I (isolation) semantics.

%{?javadoc_package}
 
%prep
%autosetup -n Multiverse-%{name}-%{version}

find -type f '(' -name '*.jar' -o -name '*.class' ')' -print -delete

%pom_xpath_remove pom:extensions
%pom_xpath_remove 'pom:plugin[pom:artifactId = "maven-surefire-plugin"]/pom:configuration/pom:forkMode' %{name}-core

%pom_xpath_inject 'pom:plugin[pom:artifactId = "maven-surefire-plugin"]' '<version>3.0.0-M5</version>' %{name}-core
%pom_xpath_inject 'pom:plugin[pom:artifactId = "maven-surefire-plugin"]/pom:configuration' '<forkCount>1C</forkCount>' %{name}-core
%pom_xpath_inject 'pom:plugin[pom:artifactId = "maven-surefire-plugin"]/pom:configuration' '<reuseForks>false</reuseForks>' %{name}-core

%pom_add_dep org.apache.commons:commons-lang3:3.8.1:test %{name}-core
%pom_add_dep commons-io:commons-io:2.6:test %{name}-core

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.md

%changelog
* Thu Oct 21 2021 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 0.7.0-1
- Initial package

